Bug 1221581 (CVE-2015-3903) - CVE-2015-3903 phpMyAdmin: Vulnerability allowing man-in-the-middle attack on API call to GitHub
Summary: CVE-2015-3903 phpMyAdmin: Vulnerability allowing man-in-the-middle attack on ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3903
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.phpmyadmin.net/home_page/s...
Whiteboard:
Depends On: 1221418 1221588 1222610 1222611 1222612
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-14 11:58 UTC by Robert Scheck
Modified: 2019-09-29 13:32 UTC (History)
1 user (show)

Fixed In Version: phpMyAdmin 4.0.10.10, phpMyAdmin 4.2.13.3, phpMyAdmin 4.3.13.1, phpMyAdmin 4.4.6.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 14:52:18 UTC


Attachments (Terms of Use)

Description Robert Scheck 2015-05-14 11:58:34 UTC
A vulnerability in the API call to GitHub can be exploited to perform a
man-in-the-middle attack. Versions 4.0.x (prior to 4.0.10.10), 4.2.x (prior
to 4.2.13.3), 4.3.x (prior to 4.3.13.1) and 4.4.x (prior to 4.4.6.1) are 
affected.

Comment 1 Fedora Update System 2015-05-17 06:39:31 UTC
phpMyAdmin-4.4.6.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2015-05-17 06:44:04 UTC
phpMyAdmin-4.4.6.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Martin Prpič 2015-05-18 15:35:57 UTC
External References:

http://www.phpmyadmin.net/home_page/security/PMASA-2015-3.php

Comment 5 Martin Prpič 2015-05-18 15:36:54 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: epel-7 [bug 1222611]

Comment 6 Martin Prpič 2015-05-18 15:36:55 UTC
Created phpMyAdmin4 tracking bugs for this issue:

Affects: epel-5 [bug 1222610]

Comment 7 Fedora Update System 2015-05-20 04:53:03 UTC
phpMyAdmin-4.0.10.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-05-20 04:56:05 UTC
phpMyAdmin-4.4.6.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-05-26 03:43:45 UTC
phpMyAdmin-4.4.6.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-29 21:48:08 UTC
phpMyAdmin4-4.0.10.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.